Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.header
Class AcceptableMediaType

    java.lang.Object
      javax.ws.rs.core.MediaType
          com.sun.jersey.core.header.AcceptableMediaType

All Implemented Interfaces:
  QualityFactor

    public class AcceptableMediaType

extends javax.ws.rs.core.MediaType
implements QualityFactor

An acceptable media type.

Author:
  Paul.Sandoz@Sun.Com

Field Summary

Fields inherited from class javax.ws.rs.core.MediaType
`APPLICATION_ATOM_XML, APPLICATION_ATOM_XML_TYPE, APPLICATION_FORM_URLENCODED, APPLICATION_FORM_URLENCODED_TYPE, APPLICATION_JSON, APPLICATION_JSON_TYPE, APPLICATION_OCTET_STREAM, APPLICATION_OCTET_STREAM_TYPE, APPLICATION_SVG_XML, APPLICATION_SVG_XML_TYPE, APPLICATION_XHTML_XML, APPLICATION_XHTML_XML_TYPE, APPLICATION_XML, APPLICATION_XML_TYPE, MEDIA_TYPE_WILDCARD, MULTIPART_FORM_DATA, MULTIPART_FORM_DATA_TYPE, TEXT_HTML, TEXT_HTML_TYPE, TEXT_PLAIN, TEXT_PLAIN_TYPE, TEXT_XML, TEXT_XML_TYPE, WILDCARD, WILDCARD_TYPE`

Fields inherited from interface com.sun.jersey.core.header.QualityFactor
`DEFAULT_QUALITY_FACTOR, MAXIMUM_QUALITY, MINUMUM_QUALITY, QUALITY_FACTOR`

Constructor Summary
`AcceptableMediaType(java.lang.String p, java.lang.String s)`
`AcceptableMediaType(java.lang.String p, java.lang.String s, int q, java.util.Map<java.lang.String,java.lang.String> parameters)`

Method Summary
`int` | `getQuality()`
`static AcceptableMediaType` | `valueOf(HttpHeaderReader reader)`

Methods inherited from class javax.ws.rs.core.MediaType
`equals, getParameters, getSubtype, getType, hashCode, isCompatible, isWildcardSubtype, isWildcardType, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcceptableMediaType

    public AcceptableMediaType(java.lang.String p,
                               java.lang.String s)

### AcceptableMediaType

    public AcceptableMediaType(java.lang.String p,
                               java.lang.String s,
                               int q,
                               java.util.Map<java.lang.String,java.lang.String> parameters)

Method Detail

### getQuality

    public int getQuality()

  Specified by:
    `getQuality` in interface `QualityFactor`

### valueOf

    public static AcceptableMediaType valueOf(HttpHeaderReader reader)
                                       throws java.text.ParseException

  Throws:
    `java.text.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.